> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Wage Rule

> Updates an existing wage rule.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json PATCH /wage-rules/{id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /wage-rules/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Wage Rule ID
    patch:
      tags:
        - Wage Rules
      summary: Edit Wage Rule
      description: Updates an existing wage rule.
      operationId: patch-wage-rule
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the wage rule.
                default_wage:
                  type: number
                  format: float
                  minimum: 0
                  description: Default wage amount.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WageRule'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Name is not provided:
                  value:
                    code: WGR-100
                    error: Name is not provided
                Invalid default wage value:
                  value:
                    code: WGR-200
                    error: Invalid default wage value
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid or missing API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Insufficient permissions:
                  value:
                    code: WGR-800
                    error: Insufficient permissions to manage wage rules
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Wage rule not found:
                  value:
                    code: WGR-300
                    error: Wage rule not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Failed to create a wage rule:
                  value:
                    code: WGR-900
                    error: Failed to create a wage rule
components:
  schemas:
    WageRule:
      type: object
      description: A wage rule used to define default wage rates.
      properties:
        id:
          type: string
          description: Unique wage rule identifier.
        name:
          type: string
          description: Name of the wage rule.
        default_wage:
          type: number
          format: float
          nullable: true
          description: Default wage amount.
        deleted:
          type: integer
          minimum: 0
          maximum: 1
          description: Soft-delete flag (0 = active, 1 = deleted).
        insert_date:
          type: string
          nullable: true
          description: Date the wage rule was created.
        pending:
          type: boolean
          description: Whether the wage rule is pending.
        updateError:
          type: boolean
          description: Whether the last update had an error.
        deleteError:
          type: boolean
          description: Whether the last delete had an error.
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````